Loading...
Searching...
No Matches
Opm::MessageFormatterInterface Class Referenceabstract

Abstract interface for message formatting classes. More...

`#include <MessageFormatter.hpp>`

Inheritance diagram for Opm::MessageFormatterInterface:

## Public Member Functions

virtual | ~MessageFormatterInterface ()=default
| Virtual destructor to enable inheritance.
virtual std::string | format (const int64_t message_flag, const std::string &message)=0
| Should return a possibly modified/decorated version of the input string, the formatting applied depending on the message_flag.

## Detailed Description

Abstract interface for message formatting classes.

## Member Function Documentation

## format()

virtual std::string Opm::MessageFormatterInterface::format | ( | const int64_t | message_flag,
|  | const std::string & | message )

pure virtual

Should return a possibly modified/decorated version of the input string, the formatting applied depending on the message_flag.

Implemented in Opm::SimpleMessageFormatter.

The documentation for this class was generated from the following file:

- opm/common/OpmLog/MessageFormatter.hpp